clang-tools 10.0.0

Namespaces | Functions
Selection.cpp File Reference
`#include "Selection.h"`
`#include "Logger.h"`
`#include "SourceCode.h"`
`#include "clang/AST/ASTTypeTraits.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/PrettyPrinter.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/AST/TypeLoc.h"`
`#include "clang/Basic/OperatorKinds.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Basic/TokenKinds.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Tooling/Syntax/Tokens.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <string>`
Include dependency graph for Selection.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static std::pair< unsigned, unsigned > | clang::clangd::pointBounds (unsigned Offset, FileID FID, ASTContext &AST)

## Variable Documentation

## ◆ Offset

unsigned Offset

Definition at line 314 of file Selection.cpp.

Referenced by clang::clangd::pointBounds().

## ◆ Selected

SelectionTree::Selection Selected

Definition at line 315 of file Selection.cpp.